use uuid::Uuid;

use crate::db::schema::User;

use super::schema::DollTagsDb;

pub async fn get(mut db: DollTagsDb, username: &str) -> sqlx::Result<Option<User>> {
	sqlx::query_as!(User, "select * from users where username = $1", username)
		.fetch_optional(&mut **db)
		.await
}

pub async fn create(
	mut db: DollTagsDb,
	username: &str,
	hashed_password: &str,
) -> sqlx::Result<Uuid> {
	sqlx::query_scalar!(
		"insert into users (username, password) values ($1, $2) returning id",
		username,
		hashed_password
	)
	.fetch_one(&mut **db)
	.await
}
